- Home
- API Enriched
- Virtual
- ml
- GET Sensitive Data Summary for Virtual Host.
GET Sensitive Data Summary for Virtual Host.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoints/summary/top_sensitive_data';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"apiep_category":["APIEP_CATEGORY_DISCOVERED"],"domains":["example"],"name":"example","namespace":"example","topk":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoints/summary/top_sensitive_data \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "apiep_category": [ "APIEP_CATEGORY_DISCOVERED" ], "domains": [ "example" ], "name": "example", "namespace": "example", "topk": 1 }'GET sensitive data summary for the given Virtual Host. For each sensitive data type (e.g. SSN, CC, Email) we count the number of APIEPs having the respective sensitive data type and return top k (max 10) types with maximum APIEPs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the virtual host for current request.
Virtual Host Name Virtual Host name for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Request model for GetTopSensitiveDataReq API.
object
Category of API endpoints. Can be DISCOVERED, INVENTORY or SHADOW API.
List of domains for which top API endpoints summary should be returned. Optional filter by domains. If absent, endpoints for all domains are considered.
Virtual Host name for current request.
Namespace of the virtual host for current request.
Number of top API endpoints to return in the response.
Responses
Section titled “Responses”A successful response.
Response model for GetTopSensitiveDataRsp API.
object
Top k (max 10) sensitive data types with highest APIs count.
Response model for GetTopSensitiveDataRsp API.
object
Number of APIEP detected this sensitive data type.
The type of sensitive data detected in APIs.
Example
{ "top_sensitive_data": [ { "sensitive_data_type": "SENSITIVE_DATA_TYPE_CCN" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example